\documentclass[11pt]{article} 
\pagestyle{empty}
\usepackage{amsmath, amssymb, amsfonts}

\begin{document}
Superscripts $2x^3$

Superscripts $$2x^3$$
$$2x^{34}$$
$$2x^{3x+4}$$
$$2x^{3x^4+5}$$


Subscripts
$$x_1$$
$$x_12$$
$$x_{12}$$
$$x_{1_2}$$
$$x_{1_{2_3}}$$
$$a_0, a_1, a_2, \ldots, a_{100}$$

Greek letters
$$\pi$$
$$\Pi$$
$$\alpha$$
$$A=\pi r^2$$

Trig Functions
$$y=\sin x$$
$$y=\cos x$$
$$y=\csc \theta$$
$$y=\csc \Theta$$
$$y=\sin^{-1} x$$
$$y=\arcsin x$$

Log functions
$$y=\log x$$
$$y=\log_5 x$$
$$y=\ln x$$

Roots
$$\sqrt{2}$$
$$\sqrt[3]{2}$$
$$\sqrt{x^2+y^2}$$
$$\sqrt{ 1 + \sqrt{x}}$$

Fractions
$$\frac{2}{3}$$
About $\frac{2}{3}$ of the glass is full.\\[16pt]
About $\displaystyle \frac{2}{3}$ of the glass is full.\\[6pt]
About $\dfrac{2}{3}$ of the glass is full.

$$\frac{\sqrt{x+1}}{\sqrt{x+2}}$$

$$\frac{1}{  1 + \frac{1}{x}  }$$

\end{document}
